package com.kingdee.eas.custom.interfacelog.businessoperationlog;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractOperateLogInfo extends com.kingdee.eas.framework.CoreBillBaseInfo implements Serializable 
{
    public AbstractOperateLogInfo()
    {
        this("id");
    }
    protected AbstractOperateLogInfo(String pkField)
    {
        super(pkField);
        put("entrys", new com.kingdee.eas.custom.interfacelog.businessoperationlog.OperateLogEntryCollection());
    }
    /**
     * Object: 操作日志 's 分录 property 
     */
    public com.kingdee.eas.custom.interfacelog.businessoperationlog.OperateLogEntryCollection getEntrys()
    {
        return (com.kingdee.eas.custom.interfacelog.businessoperationlog.OperateLogEntryCollection)get("entrys");
    }
    /**
     * Object:操作日志's 是否生成凭证property 
     */
    public boolean isFivouchered()
    {
        return getBoolean("Fivouchered");
    }
    public void setFivouchered(boolean item)
    {
        setBoolean("Fivouchered", item);
    }
    /**
     * Object:操作日志's 业务IDproperty 
     */
    public String getBusinessId()
    {
        return getString("businessId");
    }
    public void setBusinessId(String item)
    {
        setString("businessId", item);
    }
    /**
     * Object:操作日志's bosTypeproperty 
     */
    public String getBosType()
    {
        return getString("bosType");
    }
    public void setBosType(String item)
    {
        setString("bosType", item);
    }
    /**
     * Object:操作日志's 业务对象名称property 
     */
    public String getBusinessName()
    {
        return getString("businessName");
    }
    public void setBusinessName(String item)
    {
        setString("businessName", item);
    }
    /**
     * Object:操作日志's 名称property 
     */
    public String getName()
    {
        return getString("name");
    }
    public void setName(String item)
    {
        setString("name", item);
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("6CD8A9F3");
    }
}